# Agenda API ## Pages - [Agenda API](https://docs.getarbol.com/api/agenda/index.md) — Scheduling: services and offerings, resources and locations, schedule rules, appointments, bookings and the waitlist. - **Base URL:** `https://api.getarbol.com/v1/agenda` - **Authentication:** an API key or an OAuth access token, as `Authorization: Bearer `. [Get an API key](/en/developers/authentication/). - **SDKs and tools:** [TypeScript](/en/developers/sdks/typescript/) (`arbol.agenda`), [Rust](/en/developers/sdks/rust/), the [CLI](/en/developers/cli/) and [MCP](/en/developers/mcp/). Every endpoint has a sample for each. - **OpenAPI:** [openapi.json](/api/agenda/openapi.json), to import into Postman or generate a client. Try it with [List Appointments](/api/agenda/appointments/list/): ```bash curl https://api.getarbol.com/v1/agenda/appointments \ --header "Authorization: Bearer $ARBOL_API_KEY" ``` ## Sections - [Appointments](https://docs.getarbol.com/api/agenda/appointments/llms.txt) - [Availability](https://docs.getarbol.com/api/agenda/availability/llms.txt) - [Booking Locations](https://docs.getarbol.com/api/agenda/booking-locations/llms.txt) - [Booking Offerings](https://docs.getarbol.com/api/agenda/booking-offerings/llms.txt) - [Booking Requirements](https://docs.getarbol.com/api/agenda/booking-requirements/llms.txt) - [Booking Slots](https://docs.getarbol.com/api/agenda/booking-slots/llms.txt) - [Bookings](https://docs.getarbol.com/api/agenda/bookings/llms.txt) - [First Availability](https://docs.getarbol.com/api/agenda/first-availability/llms.txt) - [Locations](https://docs.getarbol.com/api/agenda/locations/llms.txt) - [Nearest Booking Slots](https://docs.getarbol.com/api/agenda/nearest-booking-slots/llms.txt) - [Offerings](https://docs.getarbol.com/api/agenda/offerings/llms.txt) - [Resource Schedules](https://docs.getarbol.com/api/agenda/resource-schedules/llms.txt) - [Resources](https://docs.getarbol.com/api/agenda/resources/llms.txt) - [Schedule Rules](https://docs.getarbol.com/api/agenda/schedule-rules/llms.txt) - [Services](https://docs.getarbol.com/api/agenda/services/llms.txt) - [Tags](https://docs.getarbol.com/api/agenda/tags/llms.txt) - [Waitlist](https://docs.getarbol.com/api/agenda/waitlist/llms.txt)